import request from '@/utils/request'

// 查询会员评价列表
export function listEvaluate(query) {
  return request({
    url: '/management/evaluate/list',
    method: 'get',
    params: query
  })
}

// 查询会员评价详细
export function getEvaluate(memberEvaluateId) {
  return request({
    url: '/management/evaluate/' + memberEvaluateId,
    method: 'get'
  })
}

// 新增会员评价
export function addEvaluate(data) {
  return request({
    url: '/management/evaluate',
    method: 'post',
    data: data
  })
}

// 修改会员评价
export function updateEvaluate(data) {
  return request({
    url: '/management/evaluate',
    method: 'put',
    data: data
  })
}

// 删除会员评价
export function delEvaluate(memberEvaluateId) {
  return request({
    url: '/management/evaluate/' + memberEvaluateId,
    method: 'delete'
  })
}

// 导出会员评价
export function exportEvaluate(query) {
  return request({
    url: '/management/evaluate/export',
    method: 'get',
    params: query
  })
}